Generating Ansible Inventory includes newlines in response
02/21/2020 10:54 AM - Ondrej Prazak

Status: Closed
Priority: Low
Assignee:

Category: Templates

Target version:

Difficulty: Fixed in Releases: 2.4.0
Triaged: No Found in Releases:
Bugzilla link: 1805654 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/8289
Description

Description of problem:
Ansible Inventory reports, print multiple blank lines in the output

How reproducible: Always

Output:
[root@foreman ~J# hammer report-template generate --name 'Ansible Inventory' --report-format json

[{"id":1,"name":"satellite.example.com","organization":"Redhat","location":"Pune","host_group":null,"host_collections":["hc","vvwv"],"ipv
4":"192.168.122.2","subnet":null,"smart_proxies":["satellite.example.com"]},{"id":12,"name":"host.example.com","organization":"Redh
at","location":"Pune","host_group":null,"host_collections":["hc","vvvv"],"ipv4":null,"subnet":null,"smart_proxies":["satellite.example.com

"}1{"id":17,"name":"tower.example.com","organization":"Redhat","location":"Pune","host_group":"satellite","host_collections":["hc","vv

w"],"ipv4":"192.168.100.3","subnet":"example.com”,"smart_proxies":["satellite.example.com"]},{"id":21,"name":"capsule.example.com

,"organization":"Redhat","location":"Pune","host_group":"satellite","host_collections":["hc","vvwv"],"ipv4":null,"subnet":"example.com"”,

"smart_proxies":["satellite.example.com"]},{"id":31,"name":"xxxx.com-3","organization":"Redhat","location":"Default
Location","host_group":null,"host_collections":["hc","vvwv"],"ipv4":null,"subnet":null,"smart_proxies":[]},{"id":34,"name":"rudy-liebe.exa

mple.com","organization":"Redhat","location":"Default
Location","host_group":"satellite”,"host_collections":["hc","vvvv"],"ipv4":"192.168.100.26","subnet":"example.com","smart_proxies":["s

atellite.example.com"]},{"id":35,"name":"ansible-node1.example.com","organization":"Redhat","location":"Pune","host_group":"satellit

e","host_collections":["hc","vvwv"],"ipv4":"192.168.100.47","subnet":"example.com","smart_proxies":["satellite.example.com"]},{"id":36,
"name":"ansible-master.example.com","organization":"Redhat","location":"Pune","host_group":"satellite","host_collections":["hc","vvvv
","ipv4":"192.168.100.10","subnet":"example.com”,"smart_proxies";["satellite.example.com"]},{"id":41,"name":"darla-robideau.exampl

e.com","organization":"Redhat","location":"Pune","host_group":"satellite","host_collections":["hc","vvwv"],"ipv4":"192.168.122.40","sub

net":"example.com","smart_proxies":["satellite.example.com"]},{"id":42,"name":"puppet.example.com","organization":"Redhat","locatio

n":"Pune”,"host_group":"satellite","host_collections":["hc","vvvv"],"ipv4":"192.168.122.18","subnet":"example.com","smart_proxies":["s
atellite.example.com"]}]

Expected:
It should not print blank lines in the output

This does not look like hammer issue since the new line characters are already included in the response.

Associated revisions

Revision 540c577a - 02/01/2021 07:49 AM - Anand Agrawal

Fixes #29111 - Ansible Inventory includes newlines in response (#8289)

History

#1 - 02/21/2020 10:54 AM - Ondfej Prazak
- File json-inventory.png added

- Subject changed from Generating Ansible Inventory includes newlines in response
to Generating Ansible Inventory includes newlines in response

- Category changed from Statistics to Templates
#2 - 02/21/2020 10:56 AM - Ondfej Prazak
- File deleted (json-inventory.png)

#3 - 02/21/2020 10:58 AM - Ondfej Prazak

- File json-inventory.png added

#4 - 02/21/2020 11:00 AM - Ondfej Prazak
- File deleted (json-inventory.png)

#5 - 02/21/2020 11:05 AM - Ondfej Prazak

- File json-inventory.png added

#6 - 01/28/2021 10:30 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8289 added

#7 - 02/01/2021 07:49 AM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#8 - 02/01/2021 08:01 AM - Anand Agrawal
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|540c577a30a4e2be500dc138d4a8435aa8¢31139.
